# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS Class Reference

This package implements the mapping between AP214
Shape representation and CAS.CAD Shape Representation.
The source schema is Part42 (which is included in AP214)
.

`#include <StepToTopoDS.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeBuilderError (const StepToTopoDS_BuilderError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeShellError (const StepToTopoDS_TranslateShellError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeFaceError (const StepToTopoDS_TranslateFaceError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeEdgeError (const StepToTopoDS_TranslateEdgeError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeVertexError (const StepToTopoDS_TranslateVertexError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeVertexLoopError (const StepToTopoDS_TranslateVertexLoopError Error)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodePolyLoopError (const StepToTopoDS_TranslatePolyLoopError Error)
static Standard_EXPORT Standard_CString | DecodeGeometricToolError (const StepToTopoDS_GeometricToolError Error)

## Member Function Documentation

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeBuilderError | ( | const StepToTopoDS_BuilderError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeEdgeError | ( | const StepToTopoDS_TranslateEdgeError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeFaceError | ( | const StepToTopoDS_TranslateFaceError | Error | ) | `[static]`

static Standard_EXPORT Standard_CString StepToTopoDS::DecodeGeometricToolError | ( | const StepToTopoDS_GeometricToolError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodePolyLoopError | ( | const StepToTopoDS_TranslatePolyLoopError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeShellError | ( | const StepToTopoDS_TranslateShellError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeVertexError | ( | const StepToTopoDS_TranslateVertexError | Error | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString StepToTopoDS::DecodeVertexLoopError | ( | const StepToTopoDS_TranslateVertexLoopError | Error | ) | `[static]`

void StepToTopoDS::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- StepToTopoDS.hxx